SplFileObject::fpassthru
SplFileObject::fread
SplFileObject
PHP Manual

# SplFileObject::fputcsv

(PHP 5 >= 5.4.0)

SplFileObject::fputcsv — Write a field array as a CSV line

### Description

public int SplFileObject::fputcsv ( array `$fields` [, string `$delimiter` = "," [, string `$enclosure` = '"' [, string `$escape` = "\" ]]] )

Writes the `fields` array to the file as a CSV line.

### Parameters

`fields`

  An array of values.

`delimiter`

  The optional `delimiter` parameter sets the field delimiter (one character only).

`enclosure`

  The optional `enclosure` parameter sets the field enclosure (one character only).

`escape`

  The optional `escape` parameter sets the escape character (one character only).

### Return Values

Returns the length of the written string or `FALSE` on failure.

Returns `FALSE`, and does not write the CSV line to the file, if the `delimiter` or `enclosure` parameter is not a single character.

### Errors/Exceptions

An `E_WARNING` level error is issued if the `delimiter` or `enclosure` parameter is not a single character.

### Changelog

Version | Description
--- | ---
5.5.21, 5.6.5 | Added the `escape` parameter.

### Examples

Example #1 SplFileObject::fputcsv() example

`<?php
$list = array (
array('aaa', 'bbb', 'ccc', 'dddd'),
array('123', '456', '789'),
array('"aaa"', '"bbb"')
);
$file = new SplFileObject('file.csv', 'w');
foreach ($list as $fields) {
$file->fputcsv($fields);
}
?>`

The above example will write the following to file.csv:

    aaa,bbb,ccc,dddd
    123,456,789
    """aaa""","""bbb"""

### See Also

- fputcsv() - Format line as CSV and write to file pointer
- SplFileObject::fgetcsv() - Gets line from file and parse as CSV fields

SplFileObject::fpassthru
SplFileObject::fread
SplFileObject
PHP Manual